Bug 262038 - Categorized View: Cannot change row with left/right arrow keys
Summary: Categorized View: Cannot change row with left/right arrow keys
Status: CONFIRMED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kdeui (show other bugs)
Version: SVN
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-04 08:01 UTC by Todd
Modified: 2011-12-26 21:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2011-01-04 08:01:51 UTC
Version:           SVN (using KDE 4.5.90) 
OS:                Linux

When navigating items in programs like Dolphin and Konqueror, the left and right arrow keys wrap around rows.  In other words, pressing left when at the beginning of a row moves up to the last item of the next row up, while pressing right when at the end of the a row moves down to the first item of the next row down (for left-to-right languages, at least).

However, when using grouped views, however, this doesn't work.  If you press left at the beginning of the line or right at the end, nothing happens.

Reproducible: Always




I was told this is not a bug in Dolphin, instead it is a bug in KCategorizedView (see the discussion in Bug 152985)
Comment 1 Rafael Fernández López 2011-01-04 16:30:53 UTC
Please check bug report #237553.

This is indeed a feature, but with left/right I can be less restrictive and fix this bug. I take it.

Please note this was intended to be a feature, but I think this very case (changing row with left/right buttons) makes sense, so yeah.
Comment 2 Peter Penz 2011-12-26 21:22:35 UTC
Git commit 38d70aa810f634b24bcfccf1f11377bd2758a43f by Peter Penz.
Committed on 26/12/2011 at 22:16.
Pushed by ppenz into branch 'KDE/4.8'.

Fix keyboard issues when groups are enabled

When groups are enabled in Dolphin the key-up and key-down keys did not behave
consistent in comparison to traditional views or like done in editors.
Related: bug 261995
Related: bug 262038

M  +106  -21   dolphin/src/kitemviews/kitemlistcontroller.cpp
M  +46   -1    dolphin/src/kitemviews/kitemlistcontroller.h
M  +0    -5    dolphin/src/kitemviews/kitemlistview.cpp
M  +0    -9    dolphin/src/kitemviews/kitemlistview.h
M  +0    -5    dolphin/src/kitemviews/kitemlistviewlayouter.cpp
M  +0    -7    dolphin/src/kitemviews/kitemlistviewlayouter_p.h

http://commits.kde.org/kde-baseapps/38d70aa810f634b24bcfccf1f11377bd2758a43f
Comment 3 Peter Penz 2011-12-26 21:23:04 UTC
Git commit b5df860cafe7c1ac66279beccf8eaac412ee336f by Peter Penz.
Committed on 26/12/2011 at 22:16.
Pushed by ppenz into branch 'master'.

Fix keyboard issues when groups are enabled

When groups are enabled in Dolphin the key-up and key-down keys did not behave
consistent in comparison to traditional views or like done in editors.
Related: bug 261995
Related: bug 262038

M  +106  -21   dolphin/src/kitemviews/kitemlistcontroller.cpp
M  +46   -1    dolphin/src/kitemviews/kitemlistcontroller.h
M  +0    -5    dolphin/src/kitemviews/kitemlistview.cpp
M  +0    -9    dolphin/src/kitemviews/kitemlistview.h
M  +0    -5    dolphin/src/kitemviews/kitemlistviewlayouter.cpp
M  +0    -7    dolphin/src/kitemviews/kitemlistviewlayouter_p.h

http://commits.kde.org/kde-baseapps/b5df860cafe7c1ac66279beccf8eaac412ee336f